package com.yihu.wlyy.entity.dict;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 药品分组管理
 * hzp add 20161207
 */
@Entity
@Table(name = "dm_drugs_group_item")
public class DmDrugsGroupItem extends IdEntity {

	private String groupCode;// 分组代码
	private String groupName;// 分组名称
	private String drugsCode;// 药品代码
	private String drugsName;// 药品名称
	private String drugsUnit;// 用药单位【字典MEASURE_UNIT_DICT】
	private String drugsQpy;// 药品名称全拼
	private String drugsSpy;// 药品名称首拼
	private Integer order; //排序
	private String status;// 是否有效

	public String getGroupCode() {
		return groupCode;
	}

	public void setGroupCode(String groupCode) {
		this.groupCode = groupCode;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getDrugsCode() {
		return drugsCode;
	}

	public void setDrugsCode(String drugsCode) {
		this.drugsCode = drugsCode;
	}

	public String getDrugsName() {
		return drugsName;
	}

	public void setDrugsName(String drugsName) {
		this.drugsName = drugsName;
	}

	public String getDrugsUnit() {
		return drugsUnit;
	}

	public void setDrugsUnit(String drugsUnit) {
		this.drugsUnit = drugsUnit;
	}

	public String getDrugsQpy() {
		return drugsQpy;
	}

	public void setDrugsQpy(String drugsQpy) {
		this.drugsQpy = drugsQpy;
	}

	public String getDrugsSpy() {
		return drugsSpy;
	}

	public void setDrugsSpy(String drugsSpy) {
		this.drugsSpy = drugsSpy;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
}
